### A free/open-source library for quantitative finance

Public Types | Public Member Functions
QuantoForwardVanillaOption Class Reference
Financial instruments

Quanto version of a forward vanilla option. More...

`#include <ql/instruments/quantoforwardvanillaoption.hpp>`

Inheritance diagram for QuantoForwardVanillaOption:
[legend]

List of all members.

## Public Types

typedef ForwardVanillaOption::arguments | arguments
typedef QuantoOptionResults < ForwardVanillaOption::results > | results

## Public Member Functions

| QuantoForwardVanillaOption (Real moneyness, const Date &resetDate, const boost::shared_ptr< StrikedTypePayoff > &, const boost::shared_ptr< Exercise > &)
void | fetchResults (const PricingEngine::results *) const
greeks
Real | qvega () const
Real | qrho () const
Real | qlambda () const

## Detailed Description

Quanto version of a forward vanilla option.

## Member Function Documentation

void fetchResults | ( | const PricingEngine::results * | r | ) | const`[virtual]`

When a derived result structure is defined for an instrument, this method should be overridden to read from it. This is mandatory in case a pricing engine is used.

Reimplemented from ForwardVanillaOption.